Index: trunk/NEMOGCM/NEMO/LIM_SRC_3/limcons.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_3/limcons.F90	(revision 6416)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_3/limcons.F90	(revision 7646)
@@ -18,5 +18,4 @@
    USE phycst         ! physical constants
    USE ice            ! LIM-3 variables
-   USE dom_ice        ! LIM-3 domain
    USE dom_oce        ! ocean domain
    USE in_out_manager ! I/O manager
@@ -165,5 +164,5 @@
       !!                     + test if ice concentration and volume are > 0
       !!
-      !! ** Method  : This is an online diagnostics which can be activated with ln_limdiahsb=true
+      !! ** Method  : This is an online diagnostics which can be activated with ln_limdiachk=true
       !!              It prints in ocean.output if there is a violation of conservation at each time-step
       !!              The thresholds (zv_sill, zs_sill, zh_sill) which determine violations are set to
@@ -185,10 +184,10 @@
          ! salt flux
          zfs_b  = glob_sum(  ( sfx_bri(:,:) + sfx_bog(:,:) + sfx_bom(:,:) + sfx_sum(:,:) + sfx_sni(:,:) +  &
-            &                  sfx_opw(:,:) + sfx_res(:,:) + sfx_dyn(:,:) + sfx_sub(:,:)                   &
+            &                  sfx_opw(:,:) + sfx_res(:,:) + sfx_dyn(:,:) + sfx_sub(:,:) + sfx_lam(:,:)    &
             &                ) *  e1e2t(:,:) * tmask(:,:,1) * zconv )
 
          ! water flux
-         zfw_b  = glob_sum( -( wfx_bog(:,:) + wfx_bom(:,:) + wfx_sum(:,:) + wfx_sni(:,:) + wfx_opw(:,:) +  &
-            &                  wfx_res(:,:) + wfx_dyn(:,:) + wfx_snw(:,:) + wfx_sub(:,:) + wfx_spr(:,:)    &
+         zfw_b  = glob_sum( -( wfx_bog(:,:) + wfx_bom(:,:) + wfx_sum(:,:) + wfx_sni(:,:) + wfx_opw(:,:) +               &
+            &                  wfx_res(:,:) + wfx_dyn(:,:) + wfx_snw(:,:) + wfx_sub(:,:) + wfx_spr(:,:) + wfx_lam(:,:)  &
             &                ) *  e1e2t(:,:) * tmask(:,:,1) * zconv )
 
@@ -210,10 +209,10 @@
          ! salt flux
          zfs  = glob_sum(  ( sfx_bri(:,:) + sfx_bog(:,:) + sfx_bom(:,:) + sfx_sum(:,:) + sfx_sni(:,:) +  &
-            &                sfx_opw(:,:) + sfx_res(:,:) + sfx_dyn(:,:) + sfx_sub(:,:)                   & 
+            &                sfx_opw(:,:) + sfx_res(:,:) + sfx_dyn(:,:) + sfx_sub(:,:) + sfx_lam(:,:)    & 
             &              ) * e1e2t(:,:) * tmask(:,:,1) * zconv ) - zfs_b
 
          ! water flux
-         zfw  = glob_sum( -( wfx_bog(:,:) + wfx_bom(:,:) + wfx_sum(:,:) + wfx_sni(:,:) + wfx_opw(:,:) +  &
-            &                wfx_res(:,:) + wfx_dyn(:,:) + wfx_snw(:,:) + wfx_sub(:,:) + wfx_spr(:,:)    &
+         zfw  = glob_sum( -( wfx_bog(:,:) + wfx_bom(:,:) + wfx_sum(:,:) + wfx_sni(:,:) + wfx_opw(:,:) +                &
+            &                wfx_res(:,:) + wfx_dyn(:,:) + wfx_snw(:,:) + wfx_sub(:,:) + wfx_spr(:,:) + wfx_lam(:,:)   &
             &              ) * e1e2t(:,:) * tmask(:,:,1) * zconv ) - zfw_b
 
@@ -260,4 +259,5 @@
                &                         cd_routine /= 'limtrp' .AND. cd_routine /= 'limitd_me' ) THEN
                                          WRITE(numout,*) 'violation a_i>amax            (',cd_routine,') = ',zamax
+            IF (     zamax   > 1._wp   ) WRITE(numout,*) 'violation a_i>1               (',cd_routine,') = ',zamax
             ENDIF
             IF (      zamin  < -epsi10 ) WRITE(numout,*) 'violation a_i<0               (',cd_routine,') = ',zamin
@@ -274,5 +274,5 @@
       !! ** Purpose : Test the conservation of heat, salt and mass at the end of each ice time-step
       !!
-      !! ** Method  : This is an online diagnostics which can be activated with ln_limdiahsb=true
+      !! ** Method  : This is an online diagnostics which can be activated with ln_limdiachk=true
       !!              It prints in ocean.output if there is a violation of conservation at each time-step
       !!              The thresholds (zv_sill, zs_sill, zh_sill) which determine the violation are set to
@@ -286,8 +286,8 @@
       REAL(wp), PARAMETER             :: zconv = 1.e-9 ! convert W to GW and kg to Mt
 
-#if ! defined key_bdy
       ! heat flux
-      zhfx  = glob_sum( ( hfx_in - hfx_out - diag_heat - diag_trp_ei - diag_trp_es - SUM( qevap_ice * a_i_b, dim=3 ) )  &
-         &              * e1e2t * tmask(:,:,1) * zconv ) 
+      zhfx  = glob_sum( ( hfx_in - hfx_out - diag_heat - diag_trp_ei - diag_trp_es   &
+      !  &              - SUM( qevap_ice * a_i_b, dim=3 )                           & !!clem: I think this line must be commented (but need check)
+         &              ) * e1e2t * tmask(:,:,1) * zconv ) 
       ! salt flux
       zsfx  = glob_sum( ( sfx + diag_smvi ) * e1e2t * tmask(:,:,1) * zconv ) * rday
@@ -304,5 +304,4 @@
       IF( ABS( zsfx ) > zs_sill ) WRITE(numout,*) 'violation sfx    [psu*Mt/day]   (',cd_routine,')  = ',(zsfx)
       IF( ABS( zhfx ) > zh_sill ) WRITE(numout,*) 'violation hfx    [GW]           (',cd_routine,')  = ',(zhfx)
-#endif
 
    END SUBROUTINE lim_cons_final
